All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::gpu::DeviceScope Class Reference

`#include <DeviceUtils.h>`

## Public Member Functions

| DeviceScope (int device)

## Detailed Description

RAII object to set the current device, and restore the previous device upon destruction

Definition at line 62 of file DeviceUtils.h.

The documentation for this class was generated from the following files:

- /data/users/matthijs/github_faiss/faiss/gpu/utils/DeviceUtils.h
- /data/users/matthijs/github_faiss/faiss/gpu/utils/DeviceUtils.cpp